/////////////////////////////////////////////////////////////////////////////////////////////
// ZGAME version 0.0.24
// An application made for LGE U8550 mobile phones
// by Andrea Buran, Giuseppe Cosmai, Monica Zambolin
// with the help of David Mellis, Vinay Ventrakamen and Nicholas Zambetti
// IUAV Interaction Design Programme 2007/2008 
/See www.interaction-venice.com/resources/?page_id=5.
// IUAV - fDA - clasVEM 2007/2008
/////////////////////////////////////////////////////////////////////////////////////////////



import processing.phone.*; // import phone library to go fullscreen
Phone myPhone;             // named reference to phone instance

PFont fontA; 
PFont fontB; 

void loadFonts()
{
  fontA = loadFont("Verdana-Bold-15.mvlw", color(255,255,255));
  fontB = loadFont("Verdana-Bold-11.mvlw", color(25,98,50));
}


/////////////////////////////////////////////////////////////////////////////////////////////
// Names Of Graphics & How Load Them
/////////////////////////////////////////////////////////////////////////////////////////////

//menu 
PImage inizio[] = new PImage[25];

PImage giocaS;
PImage giocaNs;
PImage classificaS;
PImage classificaNs;
PImage agendaS;
PImage agendaNs;
PImage profiloS;
PImage profiloNs;

//in comune
PImage uno;
PImage due;
PImage due_preferenze;
PImage tre;

//sestiere
PImage sestiere[] = new PImage[8];
PImage sceltaTuoSestiere;
PImage sceltaSestiere;

//nome
PImage gioca_nome_ns;
PImage gioca_nome_s;
//sesso
PImage sessoS[] = new PImage[2];
PImage sessoNs[] = new PImage[2];
//anno
PImage gioca_anno_ns;
PImage gioca_anno_s;

//gioco
PImage giocoS[] = new PImage[2];
PImage giocoNs[] = new PImage[2];
// abilita
PImage abilitaS[] = new PImage[3];
PImage abilitaNs[] = new PImage[3];
// bibita
PImage bibitaS[] = new PImage[2];
PImage bibitaNs[] = new PImage[2];
// cibo
PImage ciboS[] = new PImage[2];
PImage ciboNs[] = new PImage[2];

//soprannome
PImage soprannome[] = new PImage[3];

//data
PImage data[] = new PImage[7];

//tabella
PImage vociElencoTavoli;
PImage elencoTavoliUnoS[] = new PImage [3];
PImage elencoTavoliUnoNs[] = new PImage [3];
PImage elencoTavoliDueS[] = new PImage [3];
PImage elencoTavoliDueNs[] = new PImage [3];
PImage creaNuovoTavoloNs;
PImage creaNuovoTavoloS;
PImage PuntiniS;
PImage PuntiniNs;

//indirizzo
PImage casaIndirizzoNs;
PImage casaIndirizzoS;
//numero
PImage casaNumeroNs;
PImage casaNumeroS;
//fumo
PImage fumoS[] = new PImage[2];
PImage fumoNs[] = new PImage[2];

//crea orologio
PImage creaOrologioNs;
PImage creaOrologioS;
//crea gioco
PImage creaGiocoS[] = new PImage[2];
PImage creaGiocoNs[] = new PImage[2];
//crea posti
PImage creaPostiS[] = new PImage[4];
PImage creaPostiNs[] = new PImage[4];

// dettegli
PImage dettagliGiocatoriNs[] = new PImage[4];
PImage dettagliGiocatoriS[] = new PImage[4];
PImage dettagliFumatori;
PImage dettagliNonFumatori;
PImage dettagliPuntiNs;
PImage dettagliPuntiS;
PImage dettagliVuoto;

//matta
PImage sfondoMattaConferma;
PImage mattaConferma[] = new PImage[10];
PImage sfondoMattaProfilo;
PImage sfondoMattaAttenzione;
PImage mattaAttenzione[] = new PImage[10];
PImage sfondoMattaCancellazione;
PImage mattaCancellazione[] = new PImage[10];
PImage sfondoMattaMessaggio;
PImage mattaMessaggio[] = new PImage[10];


// named references to graphics for title bar (at top) 
PImage topTitle;
PImage topLogo;
PImage gioca;
PImage chart;
PImage profilo;
PImage agenda;

void loadImages()
{
  //in comune
  uno = loadImage("uno.png");
  due = loadImage("due.png");
  due_preferenze = loadImage("due_preferenze.png");
  tre = loadImage("tre.png");  
}

/////////////////////////////////////////////////////////////////////////////////////////////
// Title Bar And Softkey Bar Drawing Functions
/////////////////////////////////////////////////////////////////////////////////////////////
void drawTitle(String title)
{
  fill (25,98,50);
  rect(0, 0, 220, 20);
  if(title == "menu")   // if title parameter is "menu"...
  {
    fill (25,98,50);
    rect(0, 0, 220, 20);
    image(topTitle, (width / 2) - (topTitle.width / 2), 0); // draw the special menu graphic, centered
  }
  else {                 // title parameter is plain text...
    textAlign(CENTER);  // align the text to center
    text(title, width / 2,15);             // draw the text, centered on screen
    image(topLogo, 0, 0); // draw the special menu graphic, centered
  }
}

void drawSoftkeys(String leftSoftkey, String rightSoftkey)
{
  rect(0,200,220,20); // draw background image for the softkey bar
  textAlign(LEFT);                                  // align the text to left
  text(leftSoftkey, 5, height - 5);                 // draw the text the for the left softkey
  textAlign(RIGHT);                                 // align the text to right
  text(rightSoftkey, width - 5, height - 5);        // draw the text the for the right softkey
}

/////////////////////////////////////////////////////////////////////////////////////////////
// variabili schermate
/////////////////////////////////////////////////////////////////////////////////////////////

int selezionato=0; //variabile per passare da una voce all'altra delle preferenze
int menu=0; //variabile per passare da una voce all'altra del menu iniziale

int sestier=0;  //variabili preferenze
int tuoSestiere=0;
int sesso=0; 
int gioco=0;
int abilita=0;
int bibita=0;
int cibo=0;
int soprannom=0;
int dat=0;
int fumo=0;
int giocoCrea = 0;
int posto = 0;
int tavolo = 0;

boolean Animazione = false;
boolean Menu = true; //quale schermata e' disegnata/attiva in questo momento: true e' disegnata/attiva, false no;
boolean Regole = false;
boolean Sestiere = false; 
boolean TuoSestiere = false;
boolean PreferenzeNome = false; 
boolean PreferenzeGioco = false;
boolean Soprannome = false;
boolean Data = false;
boolean PreferenzeCasa = false;
boolean CreaGioco = false;
boolean ElencoTavoliUno = false;
boolean ElencoTavoliDue = false;
boolean DettagliTavolo = false;
boolean DettagliGiocatori = false;
boolean MattaConferma = false;
boolean MattaAttenzione = false;
boolean MattaCancellazione = false;
boolean MattaMessaggio = false;
boolean MattaProfilo = false;

boolean Registrato = false;

String nome = "scrivi qui il tuo nome";
String anno = "24";
String indirizzo = "dove vuoi giocare?";
String civico = "numero civico";
String orario = "    ";
String minuti = "";




